View Issue Details

IDProjectCategoryView StatusLast Update
0001536SymmetricDSImprovementpublic2014-02-02 20:53
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.4.0 
Target Version3.5.15Fixed in Version3.5.15 
Summary0001536: Change to sync.url not picked up
DescriptionIf the sync.url is changed in the properties file, the change is not saved to the database right away, which prevents communication between nodes. The change is eventually saved when the heartbeat job is run. At startup, we should save the sync.url if it is different.

A workaround is to set this property:

heartbeat.sync.on.startup=true
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master a585d6c3

2014-01-21 16:10:04

erilong

Details Diff
0001536: update sync.url at startup if it's different
0001536
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File

Issue History

Date Modified Username Field Change
2014-01-21 15:47 elong New Issue
2014-01-21 15:47 elong Status new => assigned
2014-01-21 15:47 elong Assigned To => elong
2014-01-21 16:16 elong Status assigned => resolved
2014-01-21 16:16 elong Fixed in Version => 3.5.15
2014-01-21 16:16 elong Resolution open => fixed
2014-01-22 07:51 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7879
2015-07-30 21:49 Changeset attached => SymmetricDS master a585d6c3